package com.kmall.schedule.dao;

import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

@Component
public interface OrderWXPayRecordMapper {

    /**
     * 根据交易状态查询支付记录
     *
     * @param tradeStates
     * @return 支付记录
     */
    List<Map> queryRecordList(List<String> tradeStates);

    /**
     * 根据订单编号查询支付记录
     *
     * @param out_trade_no 订单编号
     * @return 支付记录
     */
    List<Map> getRecordsByOutTradeNo(String out_trade_no);

    /**
     * 修改记录
     *
     * @param params
     * @return
     */
    int update(Map params);
}
